using System;
using System.Collections;

class ArrayTest {
  void Go() {
    int[] a = {31,28,31,30,31,30,31,31,30,31,30,31};
    int[] b = new int[12];
    Console.WriteLine(p(a)+"\n"+p(b));
    Console.WriteLine("\nCopy");
    Array.Copy(a,b,12);
    Console.WriteLine(p(a)+"\n"+p(b));
    Console.WriteLine("\nChange b[1]");
    b[1] = 29;
    Console.WriteLine(p(a)+"\n"+p(b));
    Console.WriteLine("\nAssign and change b[1]");
    a = b;
    Console.WriteLine(p(a)+"\n"+p(b));
    int index;
    Console.WriteLine("\nIndexOf");
    index = Array.IndexOf(a,30);
    Console.WriteLine("Value {0} Index is {1}",30,index);
    Console.WriteLine("\nLastIndexOf");
    index = Array.LastIndexOf(a,30);
    Console.WriteLine("Value {0} Index is {1}",30,index);
    Console.WriteLine("\nBinarySearch");
    index = Array.BinarySearch(a,30);
    Console.WriteLine("Value {0} Index is {1}",30,index);
    Console.WriteLine("\nSort");
    Array.Sort(a);
    Console.WriteLine(p(a));
  }

  string p(int[] a) {
    string s = "";
    for (int i=0; i<a.Length; i++) {
      s += a[i]+"  ";
    }
    return s;
  }

  static void Main() {
    new ArrayTest().Go();
  }
}
