using System;

class Stats {

  /* Class with elementary stats functions       N T Bishop 1990
   * =====================================       J M Bishop 1999
   *
   * Provides a mean and standard deviation
   *
   */

  public static double mean(double[] a) {
    double sum = 0;
    for (int i = 1; i<a.Length; i++)
      sum += a[i];
    return sum / a.Length;
  }

  public static double stddev(double[] a, double ave) {
    int n = a.Length;
    double sum = 0;
    for (int i = 1; i<n; i++)
      sum += Math.Pow((ave - a[i]),2);
    return Math.Sqrt(sum/(n-1));
  }
}
